{
    "subscribedResources": ["local:111"],
    "subscriptions": [
        {
            "name": "updates",
            "source": "https://git.kirillius.ru/kirillius/protected-resources-list.git",
            "type": "ru.kirillius.pf.sdn.External.API.GitSubscription",
            "script": ""
        },
        {
            "name": "local",
            "source": "./.cache/res",
            "type": "ru.kirillius.pf.sdn.External.API.LocalFilesystemSubscription",
            "script": ""
        }
    ],
    "enabledComponents": [],
    "httpPort": 8881,
    "filteredResources": {
        "description": "",
        "domains": [],
        "subnets": [],
        "resolveDomains": false,
        "ASN": []
    },
    "mergeSubnets": true,
    "updateSubscriptionsInterval": 6,
    "mergeSubnetsWithUsage": 51,
    "componentsConfig": {
        "ru.kirillius.pf.sdn.External.API.Components.OVPN": {
            "shellConfig": {
                "password": "securepassword",
                "port": 22,
                "host": "127.0.0.1",
                "useSSH": false,
                "username": "root"
            },
            "restartOnUpdate": true,
            "restartCommand": "rc-service openvpn restart"
        },
        "ru.kirillius.pf.sdn.External.API.Components.FRR": {"instances": []},
        "ru.kirillius.pf.sdn.External.API.Components.TDNS": {"instances": [{
            "server": "http://1.1.1.1",
            "forwarder": "8.8.4.4",
            "token": "3213213123"
        }]}
    },
    "customResources": {
        "description": "",
        "domains": [],
        "subnets": [],
        "resolveDomains": false,
        "ASN": []
    },
    "domainLookupInterval": 5,
    "passwordHash": "08b36623926454ff6f98d1af119a818b3f7ba8f5c489ba885b63422b906294ddf6de0efb752551a47dffcfb96304919cc2fbc742e6d12892725f4f5afe859d3e",
    "displayDebuggingInfo": true,
    "cachingAS": true,
    "cachingDomains": true,
    "domainsTimeToLive": 48,
    "host": "0.0.0.0",
    "updateASInterval": 12,
    "cacheDirectory": "./cache",
    "passwordSalt": "d56607e8-94b2-4754-95c1-3ef08cd0cde4",
    "domainResolvers": [
        "8.8.8.8",
        "77.88.8.8"
    ]
}